import { useParams } from "@solidjs/router";
import { Show, Suspense, createResource } from "solid-js";
import { getPost } from "./api";
import { PostSegment } from "./Posts";

export function SinglePost() {
  const params = useParams();
  const [post] = createResource(params.postid, getPost);

  return (
    <Suspense fallback={<div>Some loading message</div>}>
      <div>
        <Show when={post()}>
          <PostSegment post={post()!}></PostSegment>
        </Show>
      </div>
    </Suspense>
  );
}
